Ginkgo: gko::UseComposition< ValueType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::UseComposition< ValueType > Class Template Reference

The UseComposition class can be used to store the composition information in LinOp. More...

`#include <ginkgo/core/base/composition.hpp>`

Inheritance diagram for gko::UseComposition< ValueType >:
[legend]

## Public Types
using | value_type = ValueType

## Public Member Functions
std::shared_ptr< Composition< ValueType > > | get_composition () const
| Returns the composition operators.
std::shared_ptr< const LinOp > | get_operator_at (size_type index) const
| Returns the operator at index-th position of composition.

## Detailed Description

template<typename ValueType = default_precision>
class gko::UseComposition< ValueType >

The UseComposition class can be used to store the composition information in LinOp.

Template Parameters

  ValueType | precision of input and result vectors

## Member Function Documentation

## ◆ get_composition()

template<typename ValueType = default_precision>

std::shared_ptr< Composition< ValueType > > gko::UseComposition< ValueType >::get_composition | ( |  | ) | const
| inline

Returns the composition operators.

Returns
  composition

## ◆ get_operator_at()

template<typename ValueType = default_precision>

std::shared_ptr< const LinOp > gko::UseComposition< ValueType >::get_operator_at | ( | size_type | index | ) | const
| inline

Returns the operator at index-th position of composition.

Returns
  index-th operator

Note
  when this composition is not set, this function always returns nullptr. However, when this composition is set, it will throw exception when exceeding index.

Exceptions

  std::out_of_range | if index is out of bound when composition is existed.

The documentation for this class was generated from the following file:

- ginkgo/core/base/composition.hpp